Skip to main content
GET
/
v1
/
browsers
List browsers
curl --request GET \
  --url https://api.webcompute.dev/v1/browsers \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {}
  ],
  "limit": 20,
  "hasMore": true,
  "nextCursor": "eyJjcmVhdGVkQXQiOiIyMDI2LTA1LTE3VDAwOjAwOjAwLjAwMFoiLCJpZCI6ImJyb3dzZXJfMSJ9"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

status
enum<string>[]

Filter by browser status

Available options:
creating,
ready,
stopping,
stopped,
resuming,
recovering,
closing,
closed,
failed
limit
number
default:20

Items per page (max 100)

cursor
string

Pagination cursor returned by a previous list response

createdAfter
string

Return browsers created after this ISO timestamp

createdBefore
string

Return browsers created before this ISO timestamp

Response

200 - application/json

Paginated browser list

items
object[]
required

Browser items for the current cursor page.

limit
number
required

Items requested for this cursor page.

Example:

20

hasMore
boolean
required

Whether another page is available.

Example:

true

nextCursor
string

Cursor to pass as the next list request cursor.

Example:

"eyJjcmVhdGVkQXQiOiIyMDI2LTA1LTE3VDAwOjAwOjAwLjAwMFoiLCJpZCI6ImJyb3dzZXJfMSJ9"